PixelFormat.Type (JavaFX 27)
Description: declaration: module: javafx.graphics, package: javafx.scene.image, class: PixelFormat, enum: Type

# Enum Class PixelFormat.Type

java.lang.Object
java.lang.Enum<PixelFormat.Type>
javafx.scene.image.PixelFormat.Type

All Implemented Interfaces:
  `Serializable, Comparable<PixelFormat.Type>, Constable`

Enclosing class:
  `PixelFormat<T extends Buffer>`

public static enum PixelFormat.Type extends Enum<PixelFormat.Type>
An enum describing the in-array storage format of a single pixel managed by a `PixelFormat`.

Since:
  JavaFX 2.2

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BYTE_BGRA`
  The pixels are stored in adjacent bytes with the non-premultiplied components stored in order of increasing index: blue, green, red, alpha.
  `BYTE_BGRA_PRE`
  The pixels are stored in adjacent bytes with the premultiplied components stored in order of increasing index: blue, green, red, alpha.
  `BYTE_INDEXED`
  The pixel colors are referenced by byte indices stored in the pixel array, with the byte interpreted as an unsigned index into a list of colors provided by the `PixelFormat` object.
  `BYTE_RGB`
  The opaque pixels are stored in adjacent bytes with the color components stored in order of increasing index: red, green, blue.
  `INT_ARGB`
  The pixels are stored in 32-bit integers with the non-premultiplied components stored in order, from MSb to LSb: alpha, red, green, blue.
  `INT_ARGB_PRE`
  The pixels are stored in 32-bit integers with the premultiplied components stored in order, from MSb to LSb: alpha, red, green, blue.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PixelFormat.Type`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PixelFormat.Type[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INT_ARGB_PRE

    public static final PixelFormat.Type INT_ARGB_PRE
    The pixels are stored in 32-bit integers with the premultiplied components stored in order, from MSb to LSb: alpha, red, green, blue.

  - ### INT_ARGB

    public static final PixelFormat.Type INT_ARGB
    The pixels are stored in 32-bit integers with the non-premultiplied components stored in order, from MSb to LSb: alpha, red, green, blue.

  - ### BYTE_BGRA_PRE

    public static final PixelFormat.Type BYTE_BGRA_PRE
    The pixels are stored in adjacent bytes with the premultiplied components stored in order of increasing index: blue, green, red, alpha.

  - ### BYTE_BGRA

    public static final PixelFormat.Type BYTE_BGRA
    The pixels are stored in adjacent bytes with the non-premultiplied components stored in order of increasing index: blue, green, red, alpha.

  - ### BYTE_RGB

    public static final PixelFormat.Type BYTE_RGB
    The opaque pixels are stored in adjacent bytes with the color components stored in order of increasing index: red, green, blue.

  - ### BYTE_INDEXED

    public static final PixelFormat.Type BYTE_INDEXED
    The pixel colors are referenced by byte indices stored in the pixel array, with the byte interpreted as an unsigned index into a list of colors provided by the `PixelFormat` object.

- ## Method Details

  - ### values

    public static PixelFormat.Type[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PixelFormat.Type valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null